Subject: Re: bug#55665: GCC fails to cross-compile

From: Josselin Poiret <[email-masked]>
Date: Fri, 10 Mar 2023 21:17:16 +0100

Hi Pavel,

Pavel Shlyak <[email-masked]> writes:

> It seems to be still there, even after dfda2cc5f6a57a0b89b98f389a2f28bf1e94eaa4

Now that we're working on the core-updates branch, the issue is still
there.  Roughly, libgcc relies on defines that were introduced in GCC
12, so libgcc has to be compiled with GCC 12, but we have no immediate
way of doing that since we have a GCC 11 cross-compiler that built a GCC
12 host compiler which isn't usable by the builder.

It seems like the proper (but annoying) option would instead be to build
a GCC 12 cross-compiler for the builder using the builder GCC 11, then
use that to build a host GCC 12 and libgcc.  That is at odds with how
we do cross-compilation in general though :( We'll keep poking at it.

Best,
-- 
Josselin Poiret